---
title: HTMLLinkElement.rel
slug: Web/API/HTMLLinkElement/rel
tags:
  - API
  - HTML DOM
  - HTMLLInkElement
  - Property
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <code><strong>HTMLLinkElement.rel</strong></code> property reflects the {{htmlattrxref("rel", "link")}} attribute. It is a {{domxref("DOMString")}} containing a space-separated list of <a href="/en-US/docs/Web/HTML/Link_types">link types</a> indicating the relationship between the resource represented by the {{HTMLElement("link")}} element and the current document.</p>

<p>The most common use of this attribute is to specify a link to an external style sheet: the property is set to <code>stylesheet</code>, and the {{htmlattrxref("href", "link")}} attribute is set to the URL of an external style sheet to format the page.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>relstr</em> = <em>linkElt</em>.rel;
<em>linkElt</em>.rel = <em>relstr</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var links = document.getElementsByTagName('link');
var length = links.length;
for (var i = 0; i &lt; length; i++) {
  alert(links[i]);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#attr-link-rel', 'rel')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("DOM2 HTML")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-41369587', 'rel')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-41369587', 'rel')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLLinkElement.rel")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The equivalent property on {{HTMLElement("a")}} and {{HTMLElement("area")}}, {{domxref("HTMLAnchorElement.rel")}} and {{domxref("HTMLAreaElement.rel")}}.</li>
 <li>The very same list but as tokens: {{domxref("HTMLLinkElement.relList")}}</li>
</ul>
